# Schaufenster-Screens

Ein Template für die Schaufenster-Screens ist eine einfache HTML-Datei. Den Code für das Standard-Template kann man hier herunterladen und als Vorlage für sein eigenes Template nutzen:

{% file src="/files/3JvP3JETNr5g6DNyAgkH" %}
standard-template.html
{% endfile %}

Damit die Templates dynamisch sind, d.h. je nach verknüpften Objekten andere Daten anzeigen, muss eine Template-Engine benutzt werden. Propstack nutzt dafür [Liquid](https://shopify.github.io/liquid/) von Shopify.

Den veränderten Code fügt man dann unter [Verwaltung > Schaufenster](https://crm.propstack.de/admin/shopwindows) > Eigenes Schaufenster-Screen-Template ein.

Im Template hat man Zugriff auf folgende Daten (in JSON-Format dargestellt):

```javascript
{
  "shop": {
    "name": "Musterimmobilien GmbH",
    "color": "#0c6bc4"
  },
  "properties": [
    {
      "title": "Reihenendhaus in Berlin Treptow",
      "unit_id": "ETW-2001",
      "exposee_id": "",
      "marketing_type": "BUY",
      "object_type": "LIVING",
      "rs_type": "HOUSE",
      "construction_year": 2015,
      "free_from": "01.02.2020",
      "rented": true,
      "floor_label": null,
      "street": "Lesvou",
      "house_number": "21",
      "zip_code": "12345",
      "city": "Berlin",
      "country": "DEU",
      "price": 280000.0,
      "sold_price": null,
      "base_rent": null,
      "total_rent": null,
      "service_charge": null,
      "parking_space_price": 30000.0,
      "number_of_rooms": 5.0,
      "plot_area": 800.0,
      "living_space": 185.0,
      "usable_floor_space": 185.0,
      "property_space_value": 185.0,
      "price_per_sqm": 1513.51,
      "has_courtage": true,
      "courtage": "3,57% inkl. Mwst.",
      "courtage_note": "",
      "deposit": null,
      "thermal_characteristic": null,
      "gfz": null,
      "grz": null,
      "bmz": null,
      "monument": false,
      "built_in_kitchen": true,
      "lift": false,
      "cellar": false,
      "description_note": "Wohnen auf 3 Ebenen mit einem kleinen Gartenbereich...",
      "location_note": "Berg- und Meer-Blick aus einer Immobilie, das können Sie hier genießen...",
      "furnishing_note": "",
      "other_note": "",
      "long_description_note": "",
      "long_location_note": "",
      "long_furnishing_note": "",
      "long_other_note": "",
      "energy_certificate_availability": "wird nicht benötigt",
      "building_energy_rating_type": null,
      "energy_efficiency_class": null,
      "firing_types": null,
      "heating_type": null,
      "formatted": {
        "id": 56,
        "name": "1055",
        "unit_id": "1055",
        "exposee_id": null,
        "marketing_type": "Miete",
        "rs_type": "Wohnung",
        "rs_category": "Souterrain",
        "construction_year": 1902,
        "equipment_technology_construction_year": null,
        "free_from": null,
        "price": null,
        "base_rent": "342 €",
        "total_rent": "522 €",
        "rental_income": null,
        "rent_subsidy": null,
        "parking_space_price": null,
        "number_of_parking_spaces": null,
        "parking_space_number": null,
        "rented": "nein",
        "yield_actual": null,
        "yield_target": null,
        "rental_income_actual": null,
        "rental_income_target": null,
        "distance_to_pt": null,
        "distance_to_fm": null,
        "distance_to_mrs": null,
        "distance_to_airport": null,
        "construction_phase": null,
        "tenancy": null,
        "price_on_inquiry": "nein",
        "short_term_constructible": "nein",
        "site_development_type": null,
        "site_constructible_type": null,
        "recommended_use_types": null,
        "min_divisible": null,
        "grz": null,
        "gfz": null,
        "net_floor_space": null,
        "number_of_apartments": null,
        "number_of_commercials": null,
        "special_purpose_type": null,
        "price_per_sqm": "8,55",
        "price_multiplier": null,
        "industrial_area": null,
        "additional_area": null,
        "price_type": null,
        "rent_duration": null,
        "heating_costs": "60 €",
        "heating_costs_in_service_charge": "nein",
        "service_charge": "120 €",
        "other_costs": null,
        "property_space_value": "40",
        "living_space": "40",
        "plot_area": null,
        "total_floor_space": null,
        "number_of_rooms": "1",
        "number_of_bed_rooms": null,
        "number_of_bath_rooms": null,
        "balcony_space": null,
        "last_refurbishment": null,
        "condition": "Neuwertig",
        "interior_quality": "Gehoben",
        "floor_label": "5. OG",
        "number_of_floors": 6,
        "parking_space_type": null,
        "number_of_balconies": null,
        "number_of_terraces": null,
        "energy_certificate_availability": "liegt vor",
        "building_energy_rating_type": "Bedarfsausweis",
        "energy_efficiency_class": "E",
        "thermal_characteristic": 160,
        "thermal_characteristic_electricity": null,
        "thermal_characteristic_heating": null,
        "energy_consumption_contains_warm_water": false,
        "energy_certificate_start_date": null,
        "energy_certificate_end_date": null,
        "heating_type": "Gas-Heizung",
        "firing_types": "KWK regenerativ",
        "lan_cables": false,
        "air_conditioning": "nein",
        "flooring_type": "Epoxidharz",
        "bathroom": null,
        "te_id": null,
        "duration_from": null,
        "duration_until": null,
        "sold_date": null,
        "sold_price": null,
        "number_of_units": null,
        "price_multiplier_target": null,
        "investment_category": null,
        "purchase_form": null,
        "tenant_structure": null,
        "walt": null,
        "number_of_single_rooms": null,
        "single_rooms_quota": null,
        "occupancy_rate": null,
        "number_of_vacancies": null,
        "conservation_areas": "nein",
        "bmz": null,
        "co_ownership_share": null,
        "renter": null,
        "local_court": null,
        "register_number": null,
        "land_registry": null,
        "contract_type": null,
        "duration": null,
        "cost_other": null,
        "cubature": null,
        "valuation_price_from": null,
        "valuation_price_to": null,
        "lift": "nein",
        "cellar": "nein",
        "barrier_free": "nein",
        "guest_toilet": "nein",
        "built_in_kitchen": "nein",
        "balcony": "nein",
        "garden": "nein",
        "monument": "nein",
        "construction_year_unknown": "nein",
        "flat_share_suitable": "nein",
        "building_permission": "nein",
        "demolition": "nein",
        "has_canteen": "nein",
        "kitchen_complete": "nein",
        "high_voltage": "nein",
        "lodger_flat": "nein",
        "terrace": "nein",
        "auto_lift": "nein",
        "ramp": "nein",
        "summer_residence_practical": "nein",
        "non_smoker": "nein",
        "preliminary_enquiry": "nein"
      },
      "property_status": {
        "id": null,
        "name": null
      },
      "location_name": null,
      "images": [
        {
          "url": "...",
          "big_url": "...",
          "medium_url": "...",
          "title": "Meerblick Willkommen"
        }
      ],
      "currency": "€",
      "custom": {},
      "broker": {
        "id": 123,
        "salutation": "ms",
        "name": "John Doe",
        "email": "john.doe@mustermann.estate",
        "phone": "123123123",
        "publicEmail": "",
        "publicPhone": "",
        "position": "Sales Agent",
        "avatarUrl": "https://images.propstack.de/...",
      }
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.propstack.de/custom-templates/schaufenster-screens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
